*** Settings ***

Library    RPA.Robocorp.WorkItems
Library    String

Library    Certificate.py

*** Variables ***

${name}
${email}
@{achievements}

*** Tasks ***
Create certificate PDF
    Set Task Variables From Work Item

    ${name}=   Strip String    ${name}
    ${email}=  Strip String    ${email}

    TRY
        Should Not Be Empty    ${name}     Certificate is missing participant name
        Should Not Be Empty    ${email}    Certificate is missing participant email
    EXCEPT    AS    ${error}
        Release Input Work Item     FAILED
        ...    exception_type=BUSINESS
        ...    code=INVALID_DATA
        ...    message=${error}
        Fail    ${error}
    END

    ${filename}=    Set Variable  ${name}.pdf

    Write Certificate    ${OUTPUT DIR}${/}${filename}
    ...    name=${name}
    ...    email=${email}
    ...    achievements=${achievements}
    
    Create Output Work Item
    Set Work Item Variable    filename    ${filename}
    Add Work Item File        ${OUTPUT DIR}${/}${filename}
    Save Work Item