*** Settings ***

Library    RPA.Email.ImapSmtp   smtp_server=%{SMTP_HOST=localhost}    smtp_port=%{SMTP_PORT=1025}
Library    RPA.Robocorp.WorkItems
Library    String


*** Variables ***

${name}
${email}
${filename}
${template}    SEPARATOR=\n
...            Dear {name},
...
...            thank you for participating the workshop.
... 
...            Please, check the attachments for your certificate.
...
...            Yours sincerely,
...            The Organizers


*** Tasks ***

Mail certificate PDF
    Set Task Variables From Work Item

    ${name}=   Strip String    ${name}
    ${email}=  Strip String    ${email}

    TRY
        Should Not Be Empty    ${name}     Certificate is missing participant name
        Should Not Be Empty    ${email}    Certificate is missing participant email
        Should Not Be Empty    ${filename}    Certificate filename is missing
    EXCEPT    AS    ${error}
        Release Input Work Item     FAILED
        ...    exception_type=BUSINESS
        ...    code=INVALID_DATA
        ...    message=${error}
        Fail    ${error}
    END

    ${certificate}=  Get Work Item File    ${filename}
    ${body}=  Format String    ${template}  name=${name}

    Send Message  sender=noreply@example.com
    ...           recipients="${name}" <${email}>
    ...           subject=Certificate of Participation
    ...           body=${body}
    ...           attachments=${certificate}